Index: palm/trunk/SOURCE/read_3d_binary.f90
===================================================================
--- palm/trunk/SOURCE/read_3d_binary.f90	(revision 997)
+++ palm/trunk/SOURCE/read_3d_binary.f90	(revision 1001)
@@ -4,5 +4,5 @@
 ! Current revisions:
 ! -----------------
-!
+! all actions concerning leapfrog scheme removed
 !
 ! Former revisions:
@@ -376,9 +376,4 @@
                             tmp_3d(:,nysf-nbgp:nynf+nbgp,nxlf-nbgp:nxrf+nbgp)
 
-                CASE ( 'e_m' )
-                   IF ( k == 1 )  READ ( 13 )  tmp_3d
-                   e_m(:,nysc-nbgp:nync+nbgp,nxlc-nbgp:nxrc+nbgp) = &
-                             tmp_3d(:,nysf-nbgp:nynf+nbgp,nxlf-nbgp:nxrf+nbgp)
-
                 CASE ( 'iran' ) ! matching random numbers is still unresolved
                                 ! issue
@@ -390,18 +385,8 @@
                              tmp_3d(:,nysf-nbgp:nynf+nbgp,nxlf-nbgp:nxrf+nbgp)
 
-                CASE ( 'kh_m' )
-                   IF ( k == 1 )  READ ( 13 )  tmp_3d
-                   kh_m(:,nysc-nbgp:nync+nbgp,nxlc-nbgp:nxrc+nbgp) = &
-                              tmp_3d(:,nysf-nbgp:nynf+nbgp,nxlf-nbgp:nxrf+nbgp)
-
                 CASE ( 'km' )
                    IF ( k == 1 )  READ ( 13 )  tmp_3d
                    km(:,nysc-nbgp:nync+nbgp,nxlc-nbgp:nxrc+nbgp) = &
                                tmp_3d(:,nysf-nbgp:nynf+nbgp,nxlf-nbgp:nxrf+nbgp)
-
-                CASE ( 'km_m' )
-                   IF ( k == 1 )  READ ( 13 )  tmp_3d
-                   km_m(:,nysc-nbgp:nync+nbgp,nxlc-nbgp:nxrc+nbgp) = &
-                                tmp_3d(:,nysf-nbgp:nynf+nbgp,nxlf-nbgp:nxrf+nbgp)
 
                 CASE ( 'lpt_av' )
@@ -476,9 +461,4 @@
                                     tmp_3d(:,nysf-nbgp:nynf+nbgp,nxlf-nbgp:nxrf+nbgp)
 
-                CASE ( 'pt_m' )
-                   IF ( k == 1 )  READ ( 13 )  tmp_3d
-                   pt_m(:,nysc-nbgp:nync+nbgp,nxlc-nbgp:nxrc+nbgp) = &
-                                    tmp_3d(:,nysf-nbgp:nynf+nbgp,nxlf-nbgp:nxrf+nbgp)
-
                 CASE ( 'q' )
                    IF ( k == 1 )  READ ( 13 )  tmp_3d
@@ -494,9 +474,4 @@
                                      tmp_3d(:,nysf-nbgp:nynf+nbgp,nxlf-nbgp:nxrf+nbgp)
 
-                CASE ( 'q_m' )
-                   IF ( k == 1 )  READ ( 13 )  tmp_3d
-                   q_m(:,nysc-nbgp:nync+nbgp,nxlc-nbgp:nxrc+nbgp) = &
-                                      tmp_3d(:,nysf-nbgp:nynf+nbgp,nxlf-nbgp:nxrf+nbgp)
-
                 CASE ( 'ql' )
                    IF ( k == 1 )  READ ( 13 )  tmp_3d
@@ -544,9 +519,4 @@
                    IF ( k == 1 )  READ ( 13 )  tmp_2d
                    qsws(nysc-nbgp:nync+nbgp,nxlc-nbgp:nxrc+nbgp)  = &
-                                          tmp_2d(nysf-nbgp:nynf+nbgp,nxlf-nbgp:nxrf+nbgp)
-
-                CASE ( 'qsws_m' )
-                   IF ( k == 1 )  READ ( 13 )  tmp_2d
-                   qsws_m(nysc-nbgp:nync+nbgp,nxlc-nbgp:nxrc+nbgp)  = &
                                           tmp_2d(nysf-nbgp:nynf+nbgp,nxlf-nbgp:nxrf+nbgp)
 
@@ -564,9 +534,4 @@
                                           tmp_2d(nysf-nbgp:nynf+nbgp,nxlf-nbgp:nxrf+nbgp)
 
-                CASE ( 'qswst_m' )
-                   IF ( k == 1 )  READ ( 13 )  tmp_2d
-                   qswst_m(nysc-nbgp:nync+nbgp,nxlc-nbgp:nxrc+nbgp)  = &
-                                          tmp_2d(nysf-nbgp:nynf+nbgp,nxlf-nbgp:nxrf+nbgp)
-
                 CASE ( 'qv_av' )
                    IF ( .NOT. ALLOCATED( qv_av ) )  THEN
@@ -594,9 +559,4 @@
                                          tmp_2d(nysf-nbgp:nynf+nbgp,nxlf-nbgp:nxrf+nbgp)
 
-                CASE ( 'rif_m' )
-                   IF ( k == 1 )  READ ( 13 )  tmp_2d
-                   rif_m(nysc-nbgp:nync+nbgp,nxlc-nbgp:nxrc+nbgp)  = &
-                        tmp_2d(nysf-nbgp:nynf+nbgp,nxlf-nbgp:nxrf+nbgp)
-
                 CASE ( 'rif_wall' )
                    IF ( k == 1 )  THEN
@@ -644,8 +604,4 @@
                       tmp_2d(nysf-nbgp:nynf+nbgp,nxlf-nbgp:nxrf+nbgp)
 
-                CASE ( 'shf_m' )
-                   IF ( k == 1 )  READ ( 13 )  tmp_2d
-                   shf_m(nysc-nbgp:nync+nbgp,nxlc-nbgp:nxrc+nbgp)  = &
-                        tmp_2d(nysf-nbgp:nynf+nbgp,nxlf-nbgp:nxrf+nbgp)
                 CASE ( 'shf_av' )
                    IF ( .NOT. ALLOCATED( shf_av ) )  THEN
@@ -655,4 +611,5 @@
                    shf_av(nysc-nbgp:nync+nbgp,nxlc-nbgp:nxrc+nbgp)  = &
                          tmp_2d(nysf-nbgp:nynf+nbgp,nxlf-nbgp:nxrf+nbgp)
+
                 CASE ( 'spectrum_x' )
                    IF ( k == 1 )  THEN
@@ -703,9 +660,4 @@
                          tmp_2d(nysf-nbgp:nynf+nbgp,nxlf-nbgp:nxrf+nbgp)
 
-                CASE ( 'tswst_m' )
-                   IF ( k == 1 )  READ ( 13 )  tmp_2d
-                   tswst_m(nysc-nbgp:nync+nbgp,nxlc-nbgp:nxrc+nbgp)  = &
-                          tmp_2d(nysf-nbgp:nynf+nbgp,nxlf-nbgp:nxrf+nbgp)
-
                 CASE ( 'u' )
                    IF ( k == 1 )  READ ( 13 )  tmp_3d
@@ -721,9 +673,4 @@
                                tmp_3d(:,nysf-nbgp:nynf+nbgp,nxlf-nbgp:nxrf+nbgp)
 
-                CASE ( 'u_m' )
-                   IF ( k == 1 )  READ ( 13 )  tmp_3d
-                   u_m(:,nysc-nbgp:nync+nbgp,nxlc-nbgp:nxrc+nbgp) = &
-                                 tmp_3d(:,nysf-nbgp:nynf+nbgp,nxlf-nbgp:nxrf+nbgp)
-
                 CASE ( 'u_m_l' )
                    IF ( k == 1 )  THEN
@@ -781,14 +728,4 @@
                         tmp_2d(nysf-nbgp:nynf+nbgp,nxlf-nbgp:nxrf+nbgp)
 
-                CASE ( 'usws_m' )
-                   IF ( k == 1 )  READ ( 13 )  tmp_2d
-                   usws_m(nysc-nbgp:nync+nbgp,nxlc-nbgp:nxrc+nbgp)  = &
-                         tmp_2d(nysf-nbgp:nynf+nbgp,nxlf-nbgp:nxrf+nbgp)
-
-                CASE ( 'uswst_m' )
-                   IF ( k == 1 )  READ ( 13 )  tmp_2d
-                   uswst_m(nysc-nbgp:nync+nbgp,nxlc-nbgp:nxrc+nbgp)  = &
-                          tmp_2d(nysf-nbgp:nynf+nbgp,nxlf-nbgp:nxrf+nbgp)
-
                 CASE ( 'us_av' )
                    IF ( .NOT. ALLOCATED( us_av ) )  THEN
@@ -812,9 +749,4 @@
                                tmp_3d(:,nysf-nbgp:nynf+nbgp,nxlf-nbgp:nxrf+nbgp)
 
-                CASE ( 'v_m' )
-                   IF ( k == 1 )  READ ( 13 )  tmp_3d
-                   v_m(:,nysc-nbgp:nync+nbgp,nxlc-nbgp:nxrc+nbgp) = &
-                                tmp_3d(:,nysf-nbgp:nynf+nbgp,nxlf-nbgp:nxrf+nbgp)
-
                 CASE ( 'v_m_l' )
                    IF ( k == 1 )  THEN
@@ -870,9 +802,4 @@
                                tmp_3d(:,nysf-nbgp:nynf+nbgp,nxlf-nbgp:nxrf+nbgp)
 
-                CASE ( 'vpt_m' )
-                   IF ( k == 1 )  READ ( 13 )  tmp_3d
-                   vpt_m(:,nysc-nbgp:nync+nbgp,nxlc-nbgp:nxrc+nbgp) = &
-                                tmp_3d(:,nysf-nbgp:nynf+nbgp,nxlf-nbgp:nxrf+nbgp)
-
                 CASE ( 'vsws' )
                    IF ( k == 1 )  READ ( 13 )  tmp_2d
@@ -884,14 +811,4 @@
                    vswst(nysc-nbgp:nync+nbgp,nxlc-nbgp:nxrc+nbgp)  = &
                         tmp_2d(nysf-nbgp:nynf+nbgp,nxlf-nbgp:nxrf+nbgp)
-
-                CASE ( 'vsws_m' )
-                   IF ( k == 1 )  READ ( 13 )  tmp_2d
-                   vsws_m(nysc-nbgp:nync+nbgp,nxlc-nbgp:nxrc+nbgp)  = &
-                         tmp_2d(nysf-nbgp:nynf+nbgp,nxlf-nbgp:nxrf+nbgp)
-
-                CASE ( 'vswst_m' )
-                   IF ( k == 1 )  READ ( 13 )  tmp_2d
-                   vswst_m(nysc-nbgp:nync+nbgp,nxlc-nbgp:nxrc+nbgp)  = &
-                          tmp_2d(nysf-nbgp:nynf+nbgp,nxlf-nbgp:nxrf+nbgp)
 
                 CASE ( 'w' )
@@ -907,9 +824,4 @@
                    w_av(:,nysc-nbgp:nync+nbgp,nxlc-nbgp:nxrc+nbgp) = &
                                tmp_3d(:,nysf-nbgp:nynf+nbgp,nxlf-nbgp:nxrf+nbgp)
-
-                CASE ( 'w_m' )
-                   IF ( k == 1 )  READ ( 13 )  tmp_3d
-                   w_m(:,nysc-nbgp:nync+nbgp,nxlc-nbgp:nxrc+nbgp) = &
-                                tmp_3d(:,nysf-nbgp:nynf+nbgp,nxlf-nbgp:nxrf+nbgp)
 
                 CASE ( 'w_m_l' )
Index: palm/trunk/SOURCE/read_var_list.f90
===================================================================
--- palm/trunk/SOURCE/read_var_list.f90	(revision 997)
+++ palm/trunk/SOURCE/read_var_list.f90	(revision 1001)
@@ -4,5 +4,6 @@
 ! Current revisions:
 ! ------------------
-!
+! -cut_spline_overshoot, dt_fixed, last_dt_change, long_filter_factor,
+! overshoot_limit_*, ups_limit_*
 !
 ! Former revisions:
@@ -313,6 +314,4 @@
           CASE ( 'curvature_solution_effects' )
              READ ( 13 )  curvature_solution_effects
-          CASE ( 'cut_spline_overshoot' )
-             READ ( 13 )  cut_spline_overshoot
           CASE ( 'cycle_mg' )
              READ ( 13 )  cycle_mg
@@ -331,10 +330,4 @@
           CASE ( 'drag_coefficient' )
              READ ( 13 )  drag_coefficient
-          CASE ( 'dt_fixed' )
-             READ ( 13 )  ldum   ! restart files created before rev 333
-                                 ! contained dt_fixed by mistake; it is still
-                                 ! read here in order to allow usage of these
-                                 ! older restart files; can be removed in a
-                                 ! later version
           CASE ( 'dt_pr_1d' )
              READ ( 13 )  dt_pr_1d
@@ -400,12 +393,8 @@
           CASE ( 'lad_vertical_gradient_level_in' )
              READ ( 13 )  lad_vertical_gradient_level_ind
-          CASE ( 'last_dt_change' )
-             READ ( 13 )  last_dt_change
            CASE ( 'large_scale_subsidence' )
              READ ( 13 )  large_scale_subsidence
           CASE ( 'leaf_surface_concentration' )
              READ ( 13 )  leaf_surface_concentration
-          CASE ( 'long_filter_factor' )
-             READ ( 13 )  long_filter_factor
           CASE ( 'loop_optimization' )
              READ ( 13 )  loop_optimization
@@ -451,14 +440,4 @@
           CASE ( 'output_for_t0' )
              READ (13)    output_for_t0
-          CASE ( 'overshoot_limit_e' )
-             READ ( 13 )  overshoot_limit_e
-          CASE ( 'overshoot_limit_pt' )
-             READ ( 13 )  overshoot_limit_pt
-          CASE ( 'overshoot_limit_u' )
-             READ ( 13 )  overshoot_limit_u
-          CASE ( 'overshoot_limit_v' )
-             READ ( 13 )  overshoot_limit_v
-          CASE ( 'overshoot_limit_w' )
-             READ ( 13 )  overshoot_limit_w
           CASE ( 'passive_scalar' )
              READ ( 13 )  passive_scalar
@@ -637,14 +616,4 @@
           CASE ( 'ug_vertical_gradient_level_ind' )
              READ ( 13 )  ug_vertical_gradient_level_ind
-          CASE ( 'ups_limit_e' )
-             READ ( 13 )  ups_limit_e
-          CASE ( 'ups_limit_pt' )
-             READ ( 13 )  ups_limit_pt
-          CASE ( 'ups_limit_u' )
-             READ ( 13 )  ups_limit_u
-          CASE ( 'ups_limit_v' )
-             READ ( 13 )  ups_limit_v
-          CASE ( 'ups_limit_w' )
-             READ ( 13 )  ups_limit_w
           CASE ( 'use_surface_fluxes' )
              READ ( 13 )  use_surface_fluxes
Index: palm/trunk/SOURCE/run_control.f90
===================================================================
--- palm/trunk/SOURCE/run_control.f90	(revision 997)
+++ palm/trunk/SOURCE/run_control.f90	(revision 1001)
@@ -4,5 +4,5 @@
 ! Current revisions:
 ! -----------------
-! 
+! all actions concerning leapfrog scheme removed
 !
 ! Former revisions:
@@ -43,5 +43,5 @@
     IMPLICIT NONE
 
-    CHARACTER (LEN=1) ::  change_chr, disturb_chr
+    CHARACTER (LEN=1) ::  disturb_chr
 
 !
@@ -70,17 +70,4 @@
 
 !
-!--    Output the the beginning of the run receives no information about an
-!--    Euler-timestep
-       IF ( dt_changed  .AND.  simulated_time /= 0.0  .AND. &
-            timestep_scheme(1:5) /= 'runge' )  THEN
-          IF ( timestep_scheme == 'leapfrog' )  THEN
-             change_chr = 'L'
-          ELSE
-             change_chr = 'E'
-          ENDIF
-       ELSE
-          change_chr = ' '
-       ENDIF
-!
 !--    If required, set disturbance flag
        IF ( disturbance_created )  THEN
@@ -91,5 +78,5 @@
        WRITE ( 15, 101 )  runnr, current_timestep_number, simulated_time_chr,  &
                           simulated_time-INT( simulated_time ), dt_3d,         &
-                          timestep_reason, change_chr, u_max, disturb_chr,     &
+                          timestep_reason, u_max, disturb_chr,                 &
                           v_max, disturb_chr, w_max, hom(nzb,1,pr_palm,0),     &
                           hom(nzb+8,1,pr_palm,0), hom(nzb+3,1,pr_palm,0),      &
@@ -124,5 +111,5 @@
           &'----------------------------------------------------------------', &
           &'-----')
-101 FORMAT (I3,1X,I6,1X,A8,F3.2,1X,F8.4,A1,A1,F8.4,A1,F8.4,A1,F8.4,2X,F5.3,2X, &
+101 FORMAT (I3,1X,I6,1X,A8,F3.2,1X,F8.4,A1,1X,F8.4,A1,F8.4,A1,F8.4,2X,F5.3,2X, &
             F4.2, &
             2X,F6.3,2X,F6.0,1X,4(E10.3,1X),3(3(I4),1X),F8.3,1X,F8.3,5X,I3)
Index: palm/trunk/SOURCE/swap_timelevel.f90
===================================================================
--- palm/trunk/SOURCE/swap_timelevel.f90	(revision 997)
+++ palm/trunk/SOURCE/swap_timelevel.f90	(revision 1001)
@@ -4,5 +4,5 @@
 ! Current revisions:
 ! -----------------
-! 
+! all actions concerning leapfrog scheme removed
 !
 ! Former revisions:
@@ -51,156 +51,40 @@
 
 !
-!-- Swap of 3-level variables
-    IF ( timestep_scheme(1:5) /= 'runge' )  THEN
-
-       SELECT CASE ( MOD( timestep_count, 3 ) )
-
-          CASE ( 0 )
-
-             u_m  => u_1;   u  => u_2;  u_p  => u_3
-             v_m  => v_1;   v  => v_2;  v_p  => v_3
-             w_m  => w_1;   w  => w_2;  w_p  => w_3
-             pt_m => pt_1;  pt => pt_2; pt_p => pt_3
-             IF ( .NOT. constant_diffusion )  THEN
-                e_m => e_1;  e => e_2;  e_p => e_3
-             ENDIF
-             IF ( humidity  .OR.  passive_scalar )  THEN
-                q_m => q_1;  q => q_2;  q_p => q_3
-             ENDIF
-
-          CASE ( 1 )
-
-             u_m  => u_2;   u  => u_3;  u_p  => u_1
-             v_m  => v_2;   v  => v_3;  v_p  => v_1
-             w_m  => w_2;   w  => w_3;  w_p  => w_1
-             pt_m => pt_2;  pt => pt_3; pt_p => pt_1
-             IF ( .NOT. constant_diffusion )  THEN
-                e_m => e_2;  e => e_3;  e_p => e_1
-             ENDIF
-             IF ( humidity  .OR.  passive_scalar )  THEN
-                q_m => q_2;  q => q_3;  q_p => q_1
-             ENDIF
-
-          CASE ( 2 )
-
-             u_m  => u_3;   u  => u_1;  u_p  => u_2
-             v_m  => v_3;   v  => v_1;  v_p  => v_2
-             w_m  => w_3;   w  => w_1;  w_p  => w_2
-             pt_m => pt_3;  pt => pt_1; pt_p => pt_2
-             IF ( .NOT. constant_diffusion )  THEN
-                e_m => e_3;  e => e_1;  e_p => e_2
-             ENDIF
-             IF ( humidity  .OR.  passive_scalar )  THEN
-                q_m => q_3;  q => q_1;  q_p => q_2
-             ENDIF
-
-       END SELECT
-
-    ENDIF
-
-!
-!-- Swap of 2-level variables
+!-- Swap of variables
     SELECT CASE ( MOD( timestep_count, 2 ) )
 
        CASE ( 0 )
 
-          IF ( timestep_scheme(1:5) == 'runge' )  THEN
+          u  => u_1;   u_p  => u_2
+          v  => v_1;   v_p  => v_2
+          w  => w_1;   w_p  => w_2
+          pt => pt_1;  pt_p => pt_2
+          IF ( .NOT. constant_diffusion )  THEN
+             e => e_1;    e_p => e_2
+          ENDIF
+          IF ( ocean )  THEN
+             sa => sa_1;  sa_p => sa_2
+          ENDIF
+          IF ( humidity  .OR.  passive_scalar )  THEN
+             q => q_1;    q_p => q_2
+          ENDIF
 
-             u  => u_1;   u_p  => u_2
-             v  => v_1;   v_p  => v_2
-             w  => w_1;   w_p  => w_2
-             pt => pt_1;  pt_p => pt_2
-             IF ( .NOT. constant_diffusion )  THEN
-                e => e_1;    e_p => e_2
-             ENDIF
-             IF ( ocean )  THEN
-                sa => sa_1;  sa_p => sa_2
-             ENDIF
-             IF ( humidity  .OR.  passive_scalar )  THEN
-                q => q_1;    q_p => q_2
-             ENDIF
-
-          ELSE
-!
-!--          Old timelevels are needed for explicit diffusion within leapfrog
-             IF ( .NOT. constant_diffusion )  THEN
-                kh_m => kh_1;  kh => kh_2
-                km_m => km_1;  km => km_2
-                IF ( use_surface_fluxes )  THEN
-                   usws_m => usws_1;  usws => usws_2
-                   vsws_m => vsws_1;  vsws => vsws_2
-                   shf_m  => shf_1;   shf  => shf_2
-                   IF ( humidity  .OR.  passive_scalar )  THEN
-                      qsws_m => qsws_1;  qsws => qsws_2
-                   ENDIF
-                ENDIF
-                IF ( prandtl_layer )  THEN
-                   rif_m  => rif_1;   rif  => rif_2
-                ENDIF
-                IF ( use_top_fluxes )  THEN
-                   uswst_m => uswst_1;  uswst => uswst_2
-                   vswst_m => vswst_1;  vswst => vswst_2
-                   tswst_m => tswst_1;  tswst => tswst_2
-                   IF ( humidity  .OR.  passive_scalar )  THEN
-                      qswst_m => qswst_1;  qswst => qswst_2
-                   ENDIF
-                ENDIF
-             ENDIF
-
-             IF ( humidity )  THEN
-                vpt_m => vpt_1;  vpt => vpt_2
-             ENDIF
-
-          ENDIF
 
        CASE ( 1 )
 
-          IF ( timestep_scheme(1:5) == 'runge' )  THEN
+          u  => u_2;   u_p  => u_1
+          v  => v_2;   v_p  => v_1
+          w  => w_2;   w_p  => w_1
+          pt => pt_2;  pt_p => pt_1
+          IF ( .NOT. constant_diffusion )  THEN
+             e => e_2;    e_p => e_1
+          ENDIF
+          IF ( ocean )  THEN
+             sa => sa_2;  sa_p => sa_1
+          ENDIF
+          IF ( humidity  .OR.  passive_scalar )  THEN
+             q => q_2;    q_p => q_1
+          ENDIF
 
-             u  => u_2;   u_p  => u_1
-             v  => v_2;   v_p  => v_1
-             w  => w_2;   w_p  => w_1
-             pt => pt_2;  pt_p => pt_1
-             IF ( .NOT. constant_diffusion )  THEN
-                e => e_2;    e_p => e_1
-             ENDIF
-             IF ( ocean )  THEN
-                sa => sa_2;  sa_p => sa_1
-             ENDIF
-             IF ( humidity  .OR.  passive_scalar )  THEN
-                q => q_2;    q_p => q_1
-             ENDIF
-
-          ELSE
-
-             IF ( .NOT. constant_diffusion )  THEN
-                kh_m => kh_2;  kh => kh_1
-                km_m => km_2;  km => km_1
-                IF ( use_surface_fluxes )  THEN
-                   usws_m => usws_2;  usws => usws_1
-                   vsws_m => vsws_2;  vsws => vsws_1
-                   shf_m  => shf_2;   shf  => shf_1
-                   IF ( humidity  .OR.  passive_scalar )  THEN
-                      qsws_m => qsws_2;  qsws => qsws_1
-                   ENDIF
-                ENDIF
-                IF ( prandtl_layer )  THEN
-                   rif_m  => rif_2;   rif  => rif_1
-                ENDIF
-                IF ( use_top_fluxes )  THEN
-                   uswst_m => uswst_2;  uswst => uswst_1
-                   vswst_m => vswst_2;  vswst => vswst_1
-                   tswst_m => tswst_2;  tswst => tswst_1
-                   IF ( humidity  .OR.  passive_scalar )  THEN
-                      qswst_m => qswst_2;  qswst => qswst_1
-                   ENDIF
-                ENDIF
-             ENDIF
-
-             IF ( humidity )  THEN
-                vpt_m => vpt_2;  vpt => vpt_1
-             ENDIF
-
-          ENDIF
 
     END SELECT
Index: palm/trunk/SOURCE/time_integration.f90
===================================================================
--- palm/trunk/SOURCE/time_integration.f90	(revision 997)
+++ palm/trunk/SOURCE/time_integration.f90	(revision 1001)
@@ -4,5 +4,5 @@
 ! Current revisions:
 ! -----------------
-! 
+! all actions concerning leapfrog- and upstream-spline-scheme removed
 !
 ! Former revisions:
@@ -174,8 +174,5 @@
              CALL prognostic_equations_vector
           ELSE
-             IF ( momentum_advec == 'ups-scheme'  .OR.  &
-                  scalar_advec == 'ups-scheme'   .OR.  &
-                  scalar_advec == 'bc-scheme' )        &
-             THEN
+             IF ( scalar_advec == 'bc-scheme' )  THEN
                 CALL prognostic_equations_noopt
              ELSE
@@ -227,10 +224,4 @@
 
           CALL cpu_log( log_point(26), 'exchange-horiz-progn', 'stop' )
-
-!
-!--       Apply time filter in case of leap-frog timestep
-          IF ( tsc(2) == 2.0  .AND.  timestep_scheme(1:8) == 'leapfrog' )  THEN
-             CALL asselin_filter
-          ENDIF
 
 !
@@ -459,9 +450,7 @@
 !
 !--    Computation and output of run control parameters.
-!--    This is also done whenever the time step has changed or perturbations
-!--    have been imposed
+!--    This is also done whenever perturbations have been imposed
        IF ( time_run_control >= dt_run_control  .OR.                     &
-            ( dt_changed  .AND.  timestep_scheme(1:5) /= 'runge' )  .OR. &
-            disturbance_created )                                        &
+            timestep_scheme(1:5) /= 'runge'  .OR.  disturbance_created ) &
        THEN
           CALL run_control
Index: palm/trunk/SOURCE/timestep.f90
===================================================================
--- palm/trunk/SOURCE/timestep.f90	(revision 997)
+++ palm/trunk/SOURCE/timestep.f90	(revision 1001)
@@ -4,5 +4,5 @@
 ! Current revisions:
 ! ------------------
-!
+! all actions concerning leapfrog scheme removed
 !
 ! Former revisions:
@@ -68,5 +68,5 @@
              dt_plant_canopy_l,                                        &
              dt_plant_canopy_u, dt_plant_canopy_v, dt_plant_canopy_w,  & 
-             dt_u, dt_v, dt_w, lad_max, percent_change,                &
+             dt_u, dt_v, dt_w, lad_max,                                &
              u_gtrans_l, u_max_cfl, vabs_max, value, v_gtrans_l, v_max_cfl
 
@@ -277,15 +277,7 @@
 !
 !--    The time step is the minimum of the 3-4 components and the diffusion time
-!--    step minus a reduction to be on the safe side. Factor 0.5 is necessary 
-!--    since the leap-frog scheme always progresses by 2 * delta t.
-!--    The user has to set the cfl_factor small enough to ensure that the 
-!--    divergences do not become too large.
+!--    step minus a reduction (cfl_factor) to be on the safe side.
 !--    The time step must not exceed the maximum allowed value.
-       IF ( timestep_scheme(1:5) == 'runge' )  THEN
-          dt_3d = cfl_factor * MIN( dt_diff, dt_plant_canopy, dt_u, dt_v, dt_w )
-       ELSE
-          dt_3d = cfl_factor * 0.5 *  &
-                  MIN( dt_diff, dt_plant_canopy, dt_u, dt_v, dt_w )
-       ENDIF
+       dt_3d = cfl_factor * MIN( dt_diff, dt_plant_canopy, dt_u, dt_v, dt_w )
        dt_3d = MIN( dt_3d, dt_max )
 
@@ -339,63 +331,17 @@
 
 !
-!--    Ensure a smooth value (two significant digits) of the timestep. For
-!--    other schemes than Runge-Kutta, the following restrictions appear:
-!--    The current timestep is only then changed, if the change relative to
-!--    its previous value exceeds +5 % or -2 %. In case of a timestep
-!--    reduction, at least 30 iterations have to be performed before a timestep
-!--    enlargement is permitted again.
-       percent_change = dt_3d / old_dt - 1.0
-       IF ( percent_change > 0.05  .OR.  percent_change < -0.02  .OR. &
-            timestep_scheme(1:5) == 'runge' )  THEN
-
-!
-!--       Time step enlargement by no more than 2 %.
-          IF ( percent_change > 0.0  .AND.  simulated_time /= 0.0  .AND. &
-               timestep_scheme(1:5) /= 'runge' )  THEN
-             dt_3d = 1.02 * old_dt
-          ENDIF
-
-!
-!--       A relatively smooth value of the time step is ensured by taking
-!--       only the first two significant digits.
-          div = 1000.0
-          DO  WHILE ( dt_3d < div )
-             div = div / 10.0
-          ENDDO
-          dt_3d = NINT( dt_3d * 100.0 / div ) * div / 100.0
-
-!
-!--       Now the time step can be adjusted.
-          IF ( percent_change < 0.0  .OR.  timestep_scheme(1:5) == 'runge' ) &
-          THEN
-!
-!--          Time step reduction.
-             old_dt = dt_3d
-             dt_changed = .TRUE.
-          ELSE
-!
-!--          For other timestep schemes , the time step is only enlarged
-!--          after at least 30 iterations since the previous time step
-!--          change or, of course, after model initialization.
-             IF ( current_timestep_number >= last_dt_change + 30  .OR. &
-                  simulated_time == 0.0 )  THEN
-                old_dt = dt_3d
-                dt_changed = .TRUE.
-             ELSE
-                dt_3d = old_dt
-                dt_changed = .FALSE.
-             ENDIF
-
-          ENDIF
-       ELSE
-!
-!--       No time step change since the difference is too small.
-          dt_3d = old_dt
-          dt_changed = .FALSE.
-       ENDIF
-
-       IF ( dt_changed )  last_dt_change = current_timestep_number
+!--    Ensure a smooth value (two significant digits) of the timestep.
+       div = 1000.0
+       DO  WHILE ( dt_3d < div )
+          div = div / 10.0
+       ENDDO
+       dt_3d = NINT( dt_3d * 100.0 / div ) * div / 100.0
+
+!
+!--    Adjust the time step
+       old_dt = dt_3d
 
     ENDIF
+
     CALL cpu_log( log_point(12), 'calculate_timestep', 'stop' )
 
Index: palm/trunk/SOURCE/timestep_scheme_steering.f90
===================================================================
--- palm/trunk/SOURCE/timestep_scheme_steering.f90	(revision 997)
+++ palm/trunk/SOURCE/timestep_scheme_steering.f90	(revision 1001)
@@ -3,5 +3,6 @@
 !------------------------------------------------------------------------------!
 ! Current revisions:
-! -----------------
+! ------------------
+! all actions concerning leapfrog scheme removed
 !
 ! Former revisions:
@@ -52,50 +53,8 @@
        ENDIF
 
-    ELSE
-
-       IF ( .NOT. dt_fixed )  THEN
+    ELSEIF ( timestep_scheme == 'euler' )  THEN
 !
-!--       Leapfrog and Euler schemes
-!--       Determine whether after the time step adjustment the Euler- or the
-!--       leapfrog scheme will be applied. The very first time step must always
-!--       be an Euler step.
-          IF ( dt_changed )  THEN
-             IF ( timestep_scheme == 'leapfrog+euler'  .OR. &
-                  timestep_scheme == 'euler' .OR. simulated_time == 0.0 )  THEN
-                tsc(1:5) = (/ 1.0, 1.0, 0.0, 0.0, 1.0 /)
-             ELSE
-                tsc(1:5) = (/ 0.0, 2.0, 0.0, 0.0, 2.0 /)
-             ENDIF
-          ELSE
-!
-!--          No time step change, hence continue with the scheme set by the
-!--          user.
-             IF ( timestep_scheme == 'euler' )  THEN
-                tsc(1:5) = (/ 1.0, 1.0, 0.0, 0.0, 1.0 /)
-             ELSE
-                tsc(1:5) = (/ 0.0, 2.0, 0.0, 0.0, 2.0 /)
-             ENDIF
-          ENDIF
-
-       ELSE
-
-!
-!--       Fixed time step:
-!
-!--       In any case, the very first time step must always be an Euler step.
-          timestep_reason = 'F'
-          IF ( simulated_time == 0.0 )  THEN
-             dt_changed = .TRUE.
-             tsc(1:5) = (/ 1.0, 1.0, 0.0, 0.0, 1.0 /)
-          ELSE
-             dt_changed = .FALSE.
-             IF ( timestep_scheme == 'euler' )  THEN
-                tsc(1:5) = (/ 1.0, 1.0, 0.0, 0.0, 1.0 /)
-             ELSE
-                tsc(1:5) = (/ 0.0, 2.0, 0.0, 0.0, 2.0 /)
-             ENDIF
-          ENDIF
-
-       ENDIF
+!--    Euler scheme
+       tsc(1:5) = (/ 1.0, 1.0, 0.0, 0.0, 1.0 /)
 
     ENDIF
